import { h } from "@stencil/core";
export class PieStimulusLayout {
    static handleElements() {
        const el = document.querySelector('#pie-stimulus-container');
        if (el) {
            const boundRect = el.getBoundingClientRect();
            el.style.height = `calc(100vh - ${boundRect.top}px`;
        }
    }
    componentDidRender() {
        PieStimulusLayout.handleElements();
    }
    componentDidLoad() {
        PieStimulusLayout.handleElements();
    }
    componentDidUpdate() {
        PieStimulusLayout.handleElements();
    }
    render() {
        return (h("div", { id: "pie-stimulus-container" },
            h("div", { id: "stimulus" },
                h("slot", { name: 'stimulus' })),
            h("div", { id: "item" },
                h("slot", { name: 'item' }))));
    }
    static get is() { return "pie-stimulus-layout"; }
    static get originalStyleUrls() { return {
        "$": ["pie-stimulus-layout.css"]
    }; }
    static get styleUrls() { return {
        "$": ["pie-stimulus-layout.css"]
    }; }
}
